BasicToolBarUI.ToolBarFocusListener (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicToolBarUI.ToolBarFocusListener class
Date: 2016-10-23

javax.swing.plaf.basic

## Class BasicToolBarUI.ToolBarFocusListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.ToolBarFocusListener

- All Implemented Interfaces:
    FocusListener, EventListener
  Enclosing class:
    BasicToolBarUI

      protected class BasicToolBarUI.ToolBarFocusListener
      extends Object
      implements FocusListener

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToolBarFocusListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolBarFocusListener

          protected ToolBarFocusListener()

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.